Bug 436641 - Touchpad conflicts and settings not working
Touchpad conflicts and settings not working
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gsynaptics (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-08 14:14 EST by Arne Chr. Jorgensen
Modified: 2009-01-09 01:08 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:08:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arne Chr. Jorgensen 2008-03-08 14:14:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.12) Gecko/20080208 Fedora/2.0.0.12-1.fc8 Firefox/2.0.0.12

Description of problem:
Hardware: HP c6715b

Bug #1:
- Icon is missing in Preferences/Hardware/Touchpad
This also prevent it from being put on toolbar, etc.

Bug #2:
- For scrolling, this happen in the middle of the touchpad, not
at the edge of it. ( in ksynaptics, the area is adjustable )

Bug #3:
- ksynaptics-0.3.3-2.fc8 is installed on the same system. If you tick off
tapping in any of them, it is still active. In order to adjust settings, it
you have to do the same settings in both applications.  gsynaptics may show
settings ticked off, while ksynaptics may show them as on. 

Bug #4:
- the touchpad may behave erractic, and cursor may drift in position when the
touchpad is not touched.  Working with both programs, one may get this under
control.



Version-Release number of selected component (if applicable):
gsynaptics-0.9.12-2.1

How reproducible:
Always


Steps to Reproduce:
1. install gsynaptics and ksynaptics
2. change any settings on one of them
3. 

Actual Results:
Settings are not registrated

Expected Results:
Settings should be registrated

Additional info:
It seem like an IPC conflict.  The unpredicted behavior, motion it may do on
it's own, can drive anyone crazy. In worst case, motions and clicking (tapping function ) may start applications on it's own. It may start writing to disk, or
any other major accident. 

Assign it as a severe bug, as for those that don't know about the conflicts with
the two programs, it can crash the whole system. Setting critical hardware options, or other critical date have caused major crisis earlier.
Comment 1 Arne Chr. Jorgensen 2008-03-11 23:12:37 EDT
BUG #1 - see  Bugzilla Bug 436883: touchpad.png icon corrupt
Comment 2 Bug Zapper 2008-11-26 05:05:04 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 01:08:15 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.